Name:           perl-File-Tail
Version:        1.3
Release:    1%{?dist}
Summary:        Perl extension for reading from continuously updated files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Tail
Source0:        https://cpan.metacpan.org/authors/id/M/MG/MGRABNAR/File-Tail-%{version}.tar.gz
Patch0:         File-Tail-1.3-init-objects.patch
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(strict)
BuildRequires:  perl(Time::HiRes) >= 1.12
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Copy)
Requires:       perl(Time::HiRes) >= 1.12

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Time::HiRes\\)$

%description
The primary purpose of File::Tail is reading and analyzing log files
while they are being written, which is especially useful if you are
monitoring the logging process with a tool like Tobias Oetiker's MRTG.

%prep
%setup -q -n File-Tail-%{version}
%patch0 -p1 -b .fix

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Tail.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-1
- initial build
